libqt5webkit5_5.212.0~alpha2-7ubuntu1_i386.deb


Advertisement

Description

libqt5webkit5 - Web content engine library for Qt

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libqt5webkit5
Package version 5.212.0~alpha2
Package release 7ubuntu1
Package architecture i386
Package type deb
Installed size 46.68 KB
Download size 11.67 MB
Official Mirror archive.ubuntu.com
QtWebKit provides a Web browser engine that makes it easy to embed content
from the World Wide Web into your Qt application.
This package contains the QtWebKit libraries.

Alternatives

Package Version Architecture Repository
libqt5webkit5_5.212.0~alpha2-7ubuntu1_amd64.deb 5.212.0~alpha2 amd64 Ubuntu Universe
libqt5webkit5 - - -

Requires

Name Value
dpkg >= 1.15.6~
libc6 >= 2.27
libgcc1 >= 1:7
libglib2.0-0 >= 2.37.3
libgstreamer-plugins-base1.0-0 >= 1.2.0
libgstreamer1.0-0 >= 1.4.0
libhyphen0 >= 2.7.1
libicu60 >= 60.1-1~
libjpeg8 >= 8c
libpng16-16 >= 1.6.2-1
libqt5core5a >= 5.9.0~beta
libqt5gui5 >= 5.9.0~beta
libqt5network5 >= 5.9.0~beta
libqt5positioning5 >= 5.6.0
libqt5printsupport5 >= 5.0.2
libqt5qml5 >= 5.1.0
libqt5quick5 >= 5.9.0~beta
libqt5sensors5 >= 5.6.0
libqt5webchannel5 >= 5.6.1
libqt5widgets5 >= 5.4.0
libsqlite3-0 >= 3.7.15
libstdc++6 >= 6
libwebp6 >= 0.5.1
libwoff1 >= 1.0.0
libxml2 >= 2.7.4
libxslt1.1 >= 1.1.25
qtbase-abi-5-9-5 -
qtdeclarative-abi-5-9-5 -
zlib1g >= 1:1.2.0

Download

Type URL
Binary Package libqt5webkit5_5.212.0~alpha2-7ubuntu1_i386.deb
Source Package qtwebkit-opensource-src

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqt5webkit5 deb package:
    # sudo apt-get install libqt5webkit5

Files

Path
/usr/lib/i386-linux-gnu/libQt5WebKit.so.5
/usr/lib/i386-linux-gnu/libQt5WebKit.so.5.212.0
/usr/lib/i386-linux-gnu/libQt5WebKitWidgets.so.5
/usr/lib/i386-linux-gnu/libQt5WebKitWidgets.so.5.212.0
/usr/lib/i386-linux-gnu/qt5/libexec/QtWebDatabaseProcess
/usr/lib/i386-linux-gnu/qt5/libexec/QtWebNetworkProcess
/usr/lib/i386-linux-gnu/qt5/libexec/QtWebProcess
/usr/share/doc/libqt5webkit5/changelog.Debian.gz
/usr/share/doc/libqt5webkit5/copyright

Changelog

2018-04-15 - Dmitry Shachnev <mitya57@ubuntu.com>
qtwebkit-opensource-src (5.212.0~alpha2-7ubuntu1) bionic; urgency=medium
* Update symbols files from the build logs.
* Build with system WOFF2 library, add a patch for that.
* Add a patch to fix include path in pkg-config files (closes: #890413).
* Update Vcs fields for migration to salsa.debian.org.
* Disable all-in-one build on ppc64el, otherwise GCC gets an ICE.
* Add a patch to fix FTBFS with all-in-one mode disabled.
* Build with -g1 instead of -g on powerpc, to make the linker happy.
2018-02-25 - Simon Quigley <tsimonq2@ubuntu.com>
qtwebkit-opensource-src (5.212.0~alpha2-7build2) bionic; urgency=medium
* No-change rebuild against Qt 5.9.4.
2018-01-18 - Dmitry Shachnev <mitya57@debian.org>
qtwebkit-opensource-src (5.212.0~alpha2-7) unstable; urgency=medium
* Build with -O1 instead of -O2 on sh3/sh4 (closes: #887462).
* Update symbols files with buildds’ and sh4 logs (closes: #887463).
* Fix the rules syntax to make sure we build with -g1 on mips/mipsel.
2018-01-09 - Dmitry Shachnev <mitya57@debian.org>
qtwebkit-opensource-src (5.212.0~alpha2-6) unstable; urgency=medium
[ Dmitry Shachnev ]
* Fix build on x32 architecture (closes: #881055):
- Make sure JIT is not enabled on x32.
- Backport upstream patch to use JSVALUE32_64 on x32.
- Use gold linker on x32, to avoid undefined reference error.
* Backport upstream changes to fix build on Alpha (closes: #880640).
* Backport upstream changes to add descriptions to pkg-config files
(closes: #884035).
* Bump Standards-Version to 4.1.3, no changes needed.
[ Pino Toscano ]
* Fix build on hurd-i386:
- workaround a PATH_MAX usage; patch path_max.diff
- update symbols file
2017-10-30 - Dmitry Shachnev <mitya57@debian.org>
qtwebkit-opensource-src (5.212.0~alpha2-5) unstable; urgency=medium
* Add a patch from Fedora to fix nullptr dereference in selectedHtml()
(fix_selectedHtml_segfault.diff, closes: #880064).
* Update the symbols file from buildds’ logs.
2017-10-27 - Dmitry Shachnev <mitya57@debian.org>
qtwebkit-opensource-src (5.212.0~alpha2-4) unstable; urgency=medium
* Fix qtbase build-dependencies after wrong bump.
2017-10-27 - Dmitry Shachnev <mitya57@debian.org>
qtwebkit-opensource-src (5.212.0~alpha2-3) unstable; urgency=medium
* Update symbols files from buildds’ logs.
* Backport upstream patch to fix WTF::StringImpl::copyChars segfault
(closes: #876999).
* Bump Standards-Version to 4.1.1, no changes needed.
* Update Homepage to point to GitHub.
* Bump Qt build-dependencies to 5.9.2.
* Upload to unstable.
2017-09-16 - Dmitry Shachnev <mitya57@debian.org>
qtwebkit-opensource-src (5.212.0~alpha2-2) experimental; urgency=medium
* Add -DNDEBUG to CPPFLAGS to disable debug output.
* Use -g1 on less powerful architectures instead of no debug at all.
* Disable JIT on sh4, it is broken and support was removed upstream.
* Backport upstream patch to add libatomic detection, fixes armel build.
* Build with -mfp32 on mips/mipsel, as LLInt uses odd float registers.
* Update symbols files from buildds’ and local build logs.

See Also

Package Description
libqt5websockets5-dev_5.9.5-0ubuntu1_i386.deb Qt 5 Web Sockets module - development files
libqt5websockets5_5.9.5-0ubuntu1_i386.deb Qt 5 Web Sockets module
libqt5webview5-dev_5.9.5-0ubuntu1_i386.deb display web content in a QML application - Development Files
libqt5webview5_5.9.5-0ubuntu1_i386.deb display web content in a QML application - Library
libqt5x11extras5-dev_5.9.5-0ubuntu1_i386.deb Qt 5 X11 extras development files
libqt5x11extras5_5.9.5-0ubuntu1_i386.deb Qt 5 X11 extras
libqt5xdg-dev_3.1.0-5build2_i386.deb Development files for libqtxdg
libqt5xdg3_3.1.0-5build2_i386.deb Implementation of the XDG Specifications for Qt (shared lib)
libqt5xdgiconloader-dev_3.1.0-5build2_i386.deb Development files for libqtxdgiconloader
libqt5xdgiconloader3_3.1.0-5build2_i386.deb Implementation of the XDG Iconloader for Qt (shared lib)
libqt5xmlpatterns5-dev_5.9.5-0ubuntu1_i386.deb Qt 5 XML patterns development files
libqt5xmlpatterns5_5.9.5-0ubuntu1_i386.deb Qt 5 XML patterns module
libqtassistantclient-dev_4.6.3-7build1_i386.deb Qt Assistant client library (development)
libqtassistantclient4_4.6.3-7build1_i386.deb Qt Assistant client library (runtime)
libqtav-dev_1.12.0+ds-4build3_i386.deb QtAV development files
Advertisement
Advertisement